﻿using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript.ReportViewerEnums;
using Syncfusion.EJ.ReportViewer;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using Syncfusion.Reports.EJ;
using ReportViewerDemo.Models;
namespace ReportViewerDemo.Controllers
{
    public partial class ReportViewerController : Controller
    {
        //
        // GET: /Report/
        public ActionResult ReportViewerFeatures()
        {
            ViewData["bill_2012"] = Billionaires.GetList_2012();
            ViewData["bill_2013"] = Billionaires.GetList_2013();
            ViewData["bill_desc"] = Indicator.GetIndicator(); 
            return View();
         }
    }
    public class ReportAPIController : ApiController, IReportController
    {
        public object PostReportAction(Dictionary<string, object> jsonResult)
        {
            return ReportHelper.ProcessReport(jsonResult, this);
        }
        [System.Web.Http.ActionName("GetResource")]
        [System.Web.Http.AcceptVerbs("GET")]
        public object GetResource(string key, string resourcetype, bool isPrint)
        {
            return ReportHelper.GetResource(key, resourcetype, isPrint);
        }
        public void OnInitReportOptions(ReportViewerOptions reportOption)
        {
        }
        public void OnReportLoaded(ReportViewerOptions reportOption)
        {
              
        }
    }   
   }
